Bug 1585412 - [abrt] iwl_read_prph: WARNING: CPU: 0 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1975 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi] [iwlwifi]
Summary: [abrt] iwl_read_prph: WARNING: CPU: 0 PID: 0 at drivers/net/wireless/intel/iw...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ca815652cd8c9dfdca60b5a00e6...
: 1585532 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-02 14:49 UTC by Dan Loomis
Modified: 2019-02-21 21:11 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-21 21:11:41 UTC


Attachments (Terms of Use)
File: dmesg (85.81 KB, text/plain)
2018-06-02 14:49 UTC, Dan Loomis
no flags Details

Description Dan Loomis 2018-06-02 14:49:18 UTC
Description of problem:
Wifi was dead when I tried to use the system.   Everything worked fine about forty minutes before that.

Additional info:
reporter:       libreport-2.9.5
WARNING: CPU: 0 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1975 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 intel_rapl snd_hda_codec_realtek x86_pkg_temp_thermal intel_powerclamp snd_hda_codec_generic mei_wdt snd_hda_codec_hdmi coretemp iTCO_wdt iTCO_vendor_support snd_hda_intel ppdev iwlmvm hp_wmi sparse_keymap wmi_bmof kvm snd_hda_codec
 mac80211 irqbypass crct10dif_pclmul crc32_pclmul snd_hda_core snd_hwdep snd_seq ghash_clmulni_intel intel_cstate snd_seq_device intel_uncore snd_pcm iwlwifi intel_rapl_perf uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 btusb videobuf2_common btrtl btbcm videodev i2c_i801 btintel bluetooth rtsx_pci_ms snd_timer tpm_infineon cfg80211 joydev media memstick mei_me snd ecdh_generic rfkill lpc_ich mei soundcore parport_pc wmi tpm_tis parport tpm_tis_core tpm hp_accel lis3lv02d shpchp ie31200_edac input_polldev hp_wireless video amdgpu chash gpu_sched hid_logitech_hidpp hid_logitech_dj uas usb_storage radeon i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core ttm e1000e drm crc32c_intel ptp serio_raw rtsx_pci pps_core
CPU: 0 PID: 0 Comm: swapper/0 Not tainted 4.16.11-300.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.07 02/26/2015
RIP: 0010:iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
RSP: 0018:ffff8f5a5dc03e10 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff8f5a38680028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff8f5a5dc16930
RBP: ffff8f5a38688f10 R08: 0000000000000050 R09: 0000000000000470
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8f5a5dc03e30
R13: ffffffffc0d6a3f0 R14: ffff8f5a35c1e780 R15: 000000000000000a
FS:  0000000000000000(0000) GS:ffff8f5a5dc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f281150500c CR3: 000000066020a002 CR4: 00000000001606f0
Call Trace:
 <IRQ>
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
 ? iwl_pcie_tfd_unmap.isra.29+0x1a0/0x1a0 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x3b/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb9/0x2a0
RSP: 0018:ffffffff8b203e90 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: ffff8f5a5dc20b80 RBX: 000024e5e297762c RCX: 000000000000001f
RDX: 000024e5e297762c RSI: 0000000000000000 RDI: 0000000000000000
RBP: ffff8f5a5dc2b500 R08: 00005c0e53c72ea5 R09: 000000000000afa8
R10: 000000000002099a R11: ffff8f5a5dc1f984 R12: 0000000000000005
R13: ffffffff8b2d1eb8 R14: 000024e5d6ff172e R15: 000000000007e000
 do_idle+0x1a8/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_kernel+0x4dd/0x4fd
 secondary_startup_64+0xa5/0xb0
Code: 00 00 e8 31 75 b3 c9 eb 9d 48 89 df be 24 00 00 00 c6 05 a5 61 02 00 01 e8 3b f7 fe ff 48 c7 c7 78 b0 d8 c0 89 c6 e8 e7 85 33 c9 <0f> 0b eb bb 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 49 

Potential duplicate: bug 1562578

Comment 1 Dan Loomis 2018-06-02 14:49:37 UTC
Created attachment 1447032 [details]
File: dmesg

Comment 2 Anthony Hamilton 2018-06-04 02:03:31 UTC
*** Bug 1585532 has been marked as a duplicate of this bug. ***

Comment 3 Dan Loomis 2018-06-09 21:47:33 UTC
Description of problem:
Watching a youtube video when the wifi stopped.   Tried turning it off and back on but it was unresponsive.

Version-Release number of selected component:
kernel-core-4.16.14-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.14-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: iwl_read_prph
kernel:         4.16.14-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 2031 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1975 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 intel_rapl x86_pkg_temp_thermal mei_wdt iTCO_wdt intel_powerclamp ppdev iTCO_vendor_support hp_wmi wmi_bmof sparse_keymap coretemp iwlmvm kvm mac80211 irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate intel_uncore
 intel_rapl_perf iwlwifi snd_hda_codec_realtek snd_hda_codec_generic btusb snd_hda_codec_hdmi btrtl btbcm btintel snd_hda_intel bluetooth i2c_i801 snd_hda_codec cfg80211 tpm_infineon snd_hda_core uvcvideo snd_hwdep snd_seq videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 rtsx_pci_ms videobuf2_common snd_seq_device memstick snd_pcm videodev joydev snd_timer media lpc_ich mei_me ecdh_generic parport_pc snd rfkill mei soundcore parport tpm_tis shpchp ie31200_edac tpm_tis_core hp_accel lis3lv02d wmi tpm video input_polldev hp_wireless amdgpu chash gpu_sched hid_logitech_hidpp hid_logitech_dj radeon uas usb_storage i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper mmc_core e1000e ttm drm ptp crc32c_intel serio_raw rtsx_pci pps_core
CPU: 2 PID: 2031 Comm: Xwayland Not tainted 4.16.14-300.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.07 02/26/2015
RIP: 0010:iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
RSP: 0000:ffff9d691dc83e10 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff9d68f41e0028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff9d691dc96930
RBP: ffff9d68f41e8f10 R08: 0000000000000050 R09: 000000000000046c
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9d691dc83e30
R13: ffffffffc0e1f3f0 R14: ffff9d68f72d8780 R15: 000000000000000a
FS:  00007f29455a2ac0(0000) GS:ffff9d691dc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f04df5e5000 CR3: 0000000832880004 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
 ? cpu_load_update+0xb2/0xc0
 ? iwl_pcie_tfd_unmap.isra.29+0x1a0/0x1a0 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x3b/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0033:0x7f293defccac
RSP: 002b:00007ffc47293770 EFLAGS: 00000206 ORIG_RAX: ffffffffffffff12
RAX: 00000000022c27f0 RBX: 00000000fffc0000 RCX: 0000000000000004
RDX: 000000000000000a RSI: 0000000000010000 RDI: 00007f2945472010
RBP: 00000000ffffffff R08: 0000000000000010 R09: 0000000000000000
R10: 0000000000000004 R11: 0000000000000246 R12: 00000000fff80000
R13: 000000000228b810 R14: 000000000228a640 R15: 0000000000040000
Code: 00 00 e8 d1 25 a8 e8 eb 9d 48 89 df be 24 00 00 00 c6 05 a5 61 02 00 01 e8 3b f7 fe ff 48 c7 c7 78 00 e4 c0 89 c6 e8 87 36 28 e8 <0f> 0b eb bb 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 49

Comment 4 Dan Loomis 2018-06-16 23:09:16 UTC
Description of problem:
Watching a video on youtube when the wifi quit working.   

Version-Release number of selected component:
kernel-core-4.16.14-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.14-300.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: iwl_read_prph
kernel:         4.16.14-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1975 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
Modules linked in: nls_utf8 udf crc_itu_t rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp iTCO_wdt iTCO_vendor_support iwlmvm mei_wdt ppdev hp_wmi kvm wmi_bmof sparse_keymap mac80211 irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel
 intel_cstate intel_uncore snd_hda_codec_realtek intel_rapl_perf snd_hda_codec_generic snd_hda_codec_hdmi iwlwifi snd_hda_intel snd_hda_codec snd_hda_core btusb cfg80211 snd_hwdep tpm_infineon btrtl uvcvideo btbcm i2c_i801 btintel videobuf2_vmalloc snd_seq videobuf2_memops videobuf2_v4l2 snd_seq_device videobuf2_common rtsx_pci_ms bluetooth snd_pcm videodev memstick lpc_ich media snd_timer snd mei_me ecdh_generic joydev tpm_tis parport_pc rfkill mei soundcore hp_accel shpchp ie31200_edac tpm_tis_core wmi lis3lv02d hp_wireless parport tpm input_polldev video amdgpu chash gpu_sched hid_logitech_hidpp radeon uas usb_storage i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper mmc_core ttm e1000e drm crc32c_intel ptp serio_raw rtsx_pci pps_core hid_logitech_dj
CPU: 4 PID: 0 Comm: swapper/4 Not tainted 4.16.14-300.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.07 02/26/2015
RIP: 0010:iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
RSP: 0018:ffff979f1dd03e10 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff979ef63b0028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff979f1dd16930
RBP: ffff979ef63b8f10 R08: 0000000000000050 R09: 000000000000051c
R10: 0000000000000000 R11: 0000000000000001 R12: ffff979f1dd03e30
R13: ffffffffc0b433f0 R14: ffff979ef98da780 R15: 000000000000000a
FS:  0000000000000000(0000) GS:ffff979f1dd00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00002c0203fa8000 CR3: 000000040820a004 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
 ? iwl_pcie_tfd_unmap.isra.29+0x1a0/0x1a0 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x3b/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb9/0x2a0
RSP: 0018:ffffba8e031e3eb0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: ffff979f1dd20b80 RBX: 00002551c9a20348 RCX: 000000000000001f
RDX: 00002551c9a20348 RSI: 0000000000000000 RDI: 0000000000000000
RBP: ffff979f1dd2b500 R08: 00000ac804b8f143 R09: 00000000000000ab
R10: 00000000000000f9 R11: ffff979f1dd1f984 R12: 0000000000000003
R13: ffffffff912d1df8 R14: 00002551c98d15ef R15: 0000000000000000
 do_idle+0x1a8/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0
Code: 00 00 e8 d1 e5 d5 cf eb 9d 48 89 df be 24 00 00 00 c6 05 a5 61 02 00 01 e8 3b f7 fe ff 48 c7 c7 78 40 b6 c0 89 c6 e8 87 f6 55 cf <0f> 0b eb bb 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 49

Comment 5 Justin M. Forbes 2018-07-23 15:03:13 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 6 Curran McConnell 2018-08-08 23:38:31 UTC
Description of problem:
My WiFi seems to have crashed as I was applying a bandaid solution (turn it off and on again) to a problem that happens in it every so often.
Sometimes my WiFi access stops working. The symbol in the status bar still shows me with multiple bars, and it still says I'm connected to the WiFi network I'm connected to. However, no other WiFi networks than the one I'm supposedly connected to display as options when I click "Select network", which is how I know that the problem is happening. When this is happening, my web browser will poll websites indefinitely without showing a response and usually without showing a "Your browser is not connected to the internet" reponse either. 
When I turn the WiFi access on my laptop off then on again, it usually goes back to working. However, sometimes I get a notification saying "a problem has occurred in a component" when I turn the WiFi back on, and I can't access any WiFi networks. Then the only thing that works is for me to restart my computer. 

Version-Release number of selected component:
kernel-core-4.17.11-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.11-200.fc28.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet LANG=en_CA.UTF-8
crash_function: iwl_read_prph
kernel:         4.17.11-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1975 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
Modules linked in: ccm fuse rfcomm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev intel_rapl x86_pkg_temp_thermal media btusb btrtl btbcm btintel intel_powerclamp coretemp bluetooth kvm_intel arc4 ecdh_generic kvm iwlmvm mac80211
 irqbypass crct10dif_pclmul wmi_bmof snd_hda_codec_conexant crc32_pclmul snd_hda_codec_generic ghash_clmulni_intel iTCO_wdt iTCO_vendor_support intel_cstate snd_hda_codec_hdmi intel_uncore iwlwifi snd_hda_intel intel_rapl_perf snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device cfg80211 thinkpad_acpi snd_pcm joydev snd_timer rtsx_pci_ms memstick mei_me rfkill mei i2c_i801 lpc_ich snd soundcore wmi shpchp intel_pch_thermal pcc_cpufreq i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper drm e1000e crc32c_intel serio_raw rtsx_pci video
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 4.17.11-200.fc28.x86_64 #1
Hardware name: LENOVO 20DF002YUS/20DF002YUS, BIOS J5ET48WW (1.19 ) 08/27/2015
RIP: 0010:iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
RSP: 0018:ffff885b7f2c3e10 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff885b73790028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff885b7f2d6930
RBP: ffff885b73798f10 R08: 0000000000000050 R09: 00000000000003bf
R10: 0000000000000000 R11: 0000000000000001 R12: ffff885b7f2c3e30
R13: ffffffffc08c75e0 R14: ffff885b723e6780 R15: 000000000000000a
FS:  0000000000000000(0000) GS:ffff885b7f2c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000004b65909a960 CR3: 000000001b20a003 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
 ? cpu_load_update+0x4f/0xc0
 ? iwl_pcie_tfd_unmap.isra.31+0x1a0/0x1a0 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x3b/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb7/0x2a0
RSP: 0018:ffffb1f3806dfe98 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff885b7f2e0cc0 RBX: 0000141e7927f39f RCX: 000000000000001f
RDX: 0000141e7927f39f RSI: 0000000000000000 RDI: 0000000000000000
RBP: 0000000000000008 R08: 00000e569247284d R09: 000000000000c92b
R10: 0000000000029e70 R11: ffff885b7f2dfae8 R12: ffff885b7f2eb700
R13: ffffffffb72d2e18 R14: 0000141e605da9a6 R15: 0000000000000000
 ? cpuidle_enter_state+0x92/0x2a0
 do_idle+0x21d/0x260
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0
Code: 00 00 e8 c1 ea 01 f6 eb 9d 48 89 df be 24 00 00 00 c6 05 c1 5f 02 00 01 e8 4b f5 fe ff 48 c7 c7 68 80 8e c0 89 c6 e8 d7 ed 7d f5 <0f> 0b eb bb 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 49

Comment 7 Dan Loomis 2018-08-12 16:56:19 UTC
Happened again a few minutes ago.   WiFi just stopped working.   On off switch was non responsive.

Comment 8 Dan Loomis 2018-08-13 04:47:26 UTC
Description of problem:
Second time today.  This time watching a steam powered machine shop video on Youtube.   

Version-Release number of selected component:
kernel-core-4.17.12-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.12-200.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: iwl_read_prph
kernel:         4.17.12-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 6224 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1975 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
Modules linked in: ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast devlink xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc arc4 intel_rapl x86_pkg_temp_thermal mei_wdt intel_powerclamp gpio_ich iTCO_wdt ppdev iTCO_vendor_support hp_wmi coretemp sparse_keymap wmi_bmof iwlmvm kvm mac80211 irqbypass crct10dif_pclmul crc32_pclmul ghash_clmulni_intel snd_hda_codec_realtek
 intel_cstate snd_hda_codec_generic intel_uncore snd_hda_codec_hdmi intel_rapl_perf snd_hda_intel snd_hda_codec snd_hda_core iwlwifi snd_hwdep snd_seq btusb uvcvideo snd_seq_device btrtl btbcm btintel videobuf2_vmalloc snd_pcm videobuf2_memops joydev bluetooth videobuf2_v4l2 cfg80211 videobuf2_common videodev rtsx_pci_ms media snd_timer i2c_i801 memstick ecdh_generic snd rfkill mei_me parport_pc lpc_ich mei soundcore shpchp ie31200_edac parport wmi hp_accel pcc_cpufreq hp_wireless lis3lv02d video input_polldev tpm_infineon amdgpu chash gpu_sched hid_logitech_hidpp hid_logitech_dj radeon uas usb_storage i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper mmc_core ttm drm crc32c_intel e1000e serio_raw rtsx_pci
CPU: 6 PID: 6224 Comm: MediaPl~back #3 Not tainted 4.17.12-200.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.07 02/26/2015
RIP: 0010:iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
RSP: 0000:ffff8bdd9dd83e10 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff8bdd75460028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff8bdd9dd96930
RBP: ffff8bdd75468f10 R08: 0000000000000050 R09: 0000000000000478
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8bdd9dd83e30
R13: ffffffffc0c0e5f0 R14: ffff8bdd6378c780 R15: 000000000000000a
FS:  00007fb8c2cf2700(0000) GS:ffff8bdd9dd80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007faca0c9b000 CR3: 000000068a74e004 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
 ? cpu_load_update+0xb2/0xc0
 ? iwl_pcie_tfd_unmap.isra.31+0x1a0/0x1a0 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x3b/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0033:0x7fb8d014f4dd
RSP: 002b:00007fb8c2cf1940 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: 00007fb8bb193b80 RBX: 00007fb8bb193b80 RCX: 0000000000000000
RDX: 0000000000000002 RSI: 0000000000000014 RDI: 000000000000000c
RBP: 00007fb8d0281eac R08: 0000000000000002 R09: 0000000000000001
R10: 00007fb8bda736a4 R11: 00000000005b4440 R12: 000000000000001c
R13: 00007fb8c2054000 R14: 00007fb8c01b0000 R15: 0000000000000001
Code: 00 00 e8 e1 7a cd e1 eb 9d 48 89 df be 24 00 00 00 c6 05 b1 5f 02 00 01 e8 3b f5 fe ff 48 c7 c7 68 f0 c2 c0 89 c6 e8 c7 7d 49 e1 <0f> 0b eb bb 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 49

Comment 9 Jay Turner 2018-09-06 22:11:52 UTC
Description of problem:
Have not been able to determine a reproducer at this point.  Wireless network traffic on the system, then suddenly this panic.

Version-Release number of selected component:
kernel-core-4.16.14-300.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.16.14-300.fc28.x86_64 root=/dev/mapper/fedora--server-root ro rd.luks.uuid=luks-de01ba09-710b-4938-a23a-eab57a587ed0 rd.lvm.lv=fedora-server/root rd.lvm.lv=fedora-server/swap rhgb quiet LANG=en_US.UTF-8
crash_function: iwl_read_prph
kernel:         4.16.14-300.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:1975 iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
Modules linked in: uinput rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep binfmt_misc sunrpc snd_usb_audio snd_usbmidi_lib snd_rawmidi uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev media btusb btrtl btbcm btintel bluetooth ecdh_generic arc4 iwlmvm mac80211 intel_rapl
 iTCO_wdt mei_wdt iTCO_vendor_support x86_pkg_temp_thermal intel_powerclamp coretemp wmi_bmof kvm_intel iwlwifi kvm snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic snd_hda_intel cfg80211 snd_hda_codec irqbypass intel_cstate snd_hda_core intel_uncore intel_rapl_perf snd_hwdep snd_seq snd_seq_device snd_pcm joydev snd_timer mei_me thinkpad_acpi i2c_i801 mei lpc_ich shpchp snd tpm_tis soundcore wmi tpm_tis_core rfkill tpm dm_crypt r8152 mii hid_logitech_hidpp i915 i2c_algo_bit crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel drm ghash_clmulni_intel e1000e serio_raw ptp pps_core video hid_logitech_dj
CPU: 3 PID: 0 Comm: swapper/3 Not tainted 4.16.14-300.fc28.x86_64 #1
Hardware name: LENOVO 20A7002QUS/20A7002QUS, BIOS GRET54WW (1.31 ) 12/20/2017
RIP: 0010:iwl_trans_pcie_grab_nic_access+0xe3/0xf0 [iwlwifi]
RSP: 0018:ffff9e707e2c3e10 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff9e7070500028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff9e707e2d6930
RBP: ffff9e7070508f10 R08: 0000000000000050 R09: 00000000000004ff
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9e707e2c3e30
R13: ffffffffc09023f0 R14: ffff9e7071eb6780 R15: 000000000000000a
FS:  0000000000000000(0000) GS:ffff9e707e2c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000003fd7ef56008 CR3: 000000017320a001 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
 ? cpu_load_update+0x4f/0xc0
 ? iwl_pcie_tfd_unmap.isra.29+0x1a0/0x1a0 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x3b/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3a9/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe3/0x2d4
 irq_exit+0xeb/0xf0
 smp_apic_timer_interrupt+0x6c/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb9/0x2a0
RSP: 0018:ffffb2c540d07eb0 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff12
RAX: ffff9e707e2e0b80 RBX: 00004890d0faf1d7 RCX: 000000000000001f
RDX: 00004890d0faf1d7 RSI: 0000000000000000 RDI: 0000000000000000
RBP: ffff9e707e2eb460 R08: 0000c381452a94a9 R09: 00000000000037f5
R10: 0000000000004c6b R11: ffff9e707e2df984 R12: 0000000000000005
R13: ffffffffb72d1eb8 R14: 00004890d0ecdd50 R15: 0000000000000000
 do_idle+0x1a8/0x1d0
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0
Code: 00 00 e8 d1 f5 f9 f5 eb 9d 48 89 df be 24 00 00 00 c6 05 a5 61 02 00 01 e8 3b f7 fe ff 48 c7 c7 78 30 92 c0 89 c6 e8 87 06 7a f5 <0f> 0b eb bb 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 41 57 49

Comment 10 Laura Abbott 2018-10-01 21:17:26 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 11 Dan Loomis 2018-10-13 04:01:32 UTC
Description of problem:
Watching videos on YouTube.   

Version-Release number of selected component:
kernel-core-4.18.12-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.18.12-200.fc28.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
crash_function: iwl_pcie_txq_inc_wr_ptr
kernel:         4.18.12-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 0 at drivers/net/wireless/intel/iwlwifi/pcie/trans.c:2008 iwl_trans_pcie_grab_nic_access+0x1e1/0x220 [iwlwifi]
Modules linked in: ccm rfcomm fuse xt_CHECKSUM ipt_MASQUERADE tun nf_conntrack_netbios_ns nf_conntrack_broadcast devlink xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep sunrpc arc4 intel_rapl x86_pkg_temp_thermal intel_powerclamp mei_wdt iTCO_wdt iTCO_vendor_support gpio_ich coretemp ppdev iwlmvm hp_wmi sparse_keymap wmi_bmof kvm mac80211 snd_hda_codec_realtek irqbypass snd_hda_codec_generic crct10dif_pclmul crc32_pclmul snd_hda_codec_hdmi
 ghash_clmulni_intel intel_cstate snd_hda_intel intel_uncore intel_rapl_perf btusb snd_hda_codec btrtl btbcm btintel iwlwifi snd_hda_core snd_hwdep bluetooth uvcvideo snd_seq videobuf2_vmalloc snd_seq_device videobuf2_memops videobuf2_v4l2 snd_pcm cfg80211 videobuf2_common joydev videodev media mei_me ecdh_generic i2c_i801 rtsx_pci_ms mei memstick snd_timer snd rfkill soundcore lpc_ich parport_pc ie31200_edac hp_accel wmi parport lis3lv02d input_polldev video pcc_cpufreq hp_wireless tpm_infineon hid_logitech_hidpp hid_logitech_dj amdgpu chash gpu_sched radeon i2c_algo_bit rtsx_pci_sdmmc mmc_core drm_kms_helper ttm drm uas e1000e crc32c_intel serio_raw rtsx_pci usb_storage
CPU: 1 PID: 0 Comm: swapper/1 Not tainted 4.18.12-200.fc28.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 17 G2/2255, BIOS M70 Ver. 01.07 02/26/2015
RIP: 0010:iwl_trans_pcie_grab_nic_access+0x1e1/0x220 [iwlwifi]
Code: 5b e4 49 8d 55 08 bf 00 04 00 00 e8 49 4e 2f e3 e9 31 ff ff ff 89 c6 48 c7 c7 48 f3 de c0 c6 05 fe 6b 02 00 01 e8 c9 99 2d e3 <0f> 0b e9 ec fe ff ff 48 8b 7b 30 48 c7 c1 b0 f3 de c0 31 d2 31 f6 
RSP: 0018:ffff9f149dc43e10 EFLAGS: 00010082
RAX: 0000000000000000 RBX: ffff9f14787c0028 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000082 RDI: ffff9f149dc56930
RBP: ffff9f14787c8f20 R08: 0000000000000050 R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: ffff9f149dc43e38
R13: 00000000ffffffff R14: ffff9f1464506780 R15: 000000000000000a
FS:  0000000000000000(0000) GS:ffff9f149dc40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f8d7d933200 CR3: 00000003f420a001 CR4: 00000000001606e0
Call Trace:
 <IRQ>
 ? iwl_pcie_txq_inc_wr_ptr+0x100/0x100 [iwlwifi]
 iwl_read_prph+0x32/0x90 [iwlwifi]
 iwl_trans_pcie_log_scd_error+0x122/0x1f0 [iwlwifi]
 ? iwl_pcie_txq_inc_wr_ptr+0x100/0x100 [iwlwifi]
 iwl_pcie_txq_stuck_timer+0x36/0x50 [iwlwifi]
 call_timer_fn+0x2b/0x120
 run_timer_softirq+0x3ad/0x3e0
 ? enqueue_hrtimer+0x38/0x90
 ? native_sched_clock+0x37/0x90
 __do_softirq+0xe4/0x2d9
 irq_exit+0xf7/0x100
 smp_apic_timer_interrupt+0x74/0x130
 apic_timer_interrupt+0xf/0x20
 </IRQ>
RIP: 0010:cpuidle_enter_state+0xb7/0x2a0
Code: e8 ae aa 98 ff 80 7c 24 03 00 74 17 9c 58 0f 1f 44 00 00 f6 c4 02 0f 85 d7 01 00 00 31 ff e8 c0 4f 9e ff fb 66 0f 1f 44 00 00 <48> b8 ff ff ff ff f3 01 00 00 4c 29 f3 ba ff ff ff 7f 48 39 c3 7f 
RSP: 0018:ffffb82cc31dbe98 EFLAGS: 00000246 ORIG_RAX: ffffffffffffff13
RAX: ffff9f149dc60e80 RBX: 0000f2700a4d60c3 RCX: 000000000000001f
RDX: 0000f2700a4d60c3 RSI: 0000000000000000 RDI: 0000000000000000
RBP: 0000000000000003 R08: 00025cb67bfa50b4 R09: 0000000000000314
R10: 0000000000000314 R11: ffff9f149dc5fce8 R12: ffff9f149dc6b650
R13: ffffffffa52d52b8 R14: 0000f2700a470a86 R15: 0000000000000000
 ? cpuidle_enter_state+0x92/0x2a0
 do_idle+0x226/0x260
 cpu_startup_entry+0x6f/0x80
 start_secondary+0x1a7/0x200
 secondary_startup_64+0xa5/0xb0

Comment 12 Dan Loomis 2018-10-22 20:06:15 UTC
Yes this issue is still present as of 2018-10-13 (See fresh bug report above this comment.

Comment 13 Justin M. Forbes 2019-01-29 16:24:38 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 14 Justin M. Forbes 2019-02-21 21:11:41 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.